#
# spec file for package perl-Config-Auto
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Config-Auto
Version:        0.44
Release:        3.30
%define cpan_name Config-Auto
Summary:        Magical config file parser
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Config-Auto/
Source:         http://www.cpan.org/authors/id/B/BI/BINGOS/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Config::IniFiles)
BuildRequires:  perl(IO::String)
BuildRequires:  perl(YAML) >= 0.67
Requires:       perl(Config::IniFiles)
Requires:       perl(IO::String)
Requires:       perl(YAML) >= 0.67
%{perl_requires}

%description
This module was written after having to write Yet Another Config File
Parser for some variety of colon-separated config. I decided "never again".

Config::Auto aims to be the most 'DWIM' config parser available, by
detecting configuration styles, include paths and even config filenames
automagically.

See the the HOW IT WORKS manpage section below on implementation details.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Fri Mar  7 2014 coolo@suse.com
- updated to 0.44
  - Resolve RT#91891 an edge-case with equal and space format detection
* Mon Feb 13 2012 coolo@suse.com
- updated to 0.42
  - Add a test fstab file instead of relying on the vagaries of system ones
  - Resolve RT#74711 reported by David Oswald
    ( Calling Config::Auto::parse while $_ aliases a constant value throws exception )
* Wed Oct 26 2011 tabraham@novell.com
- updated to 0.38
  - Resolve RT 69984 reported by Thomas Johnson
    ( Array handling regression when using equals format )
- updated to 0.36 Fri Jul  1 14:38:57 2011
  - Fix for RT 68913 reported by Michael Lackhoff
    ( config files with DOS line endings do not work in Linux )
* Mon May 30 2011 coolo@novell.com
- rengerate with cpanspec 1.78.04
* Mon Apr  4 2011 coolo@novell.com
- updated to 0.34
  - Apply patch from Andrew Ruthven RT #66460
    ( also Debian Bug # 617305 )
  - Fix a regression with space separated format
    reported by Karel Petera RT #66050
  - Apply a fix from Nigel Horne RT #65019
  - Not all versions of XML::Parser deal well with an IO::String filehandle;
    pass the value in as string instead
  - Fix a broken XML test
  - Remove stray $DB::single = 1
  - Don't delete XML tests, skip them
  - Address #44018: Speed enhancements to only load modules if they are
    actually needed. By Lyle Hopkins
  - Address #32927: Hash key being assigned to $1 instead of $_
  - Address #28608: Quoted parameters in Config::Auto
    parsing now properly splits on quoted words, shell like
  - Address #27686: an odd config format could throw uninitialized
    value warnings
  - Guts of Config::Auto rewritten to allow access to data in various
    stages.
  - Updates prereq list
  - Increased test coverage
* Sat Jan 22 2011 coolo@novell.com
- initial package 0.20
  * created by cpanspec 1.78.03
